Check-in an employee

This API helps you to check-in an employee.

You must specify the unique identifier of the employee as employee_id in the API request.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Request Body Parameters

NameTypeDescription
center_idguidUnique 32-character identifier of the center in which the employee is to be checked-in.
fingerprint_datastringFingerprint data if biometric is being used. You must use guid.empty instead of EmployeeId in case of biometric check-in.
work_task_idguidWork task against which the employee is being checked in.
is_break_periodbooleanUsed only by checkout API. Ignored for check-in requests.

Response Details

NameTypeDescription
employeeobjectObject that contains all the details of the employee who has been checked-in. It is only displayed in the case of fingerprint check-in. In other cases, the field would not be present in the output.
is_employee_checked_inbooleanIndicates whether the employee has been checked in.
check_in_timestringTime at which the employee was checked in. Format : hh:mm:ss
errorobjectObject that contains error message and error code details. For more information, refer to the error Object table.

error Object

codecode
4045request is null, center id is not passed.
449CenterId passed is invalid, CenterId: {CenterId}.
602Center not authorized to use this application.
4023Couldn't fetch the center finger prints.
404Couldn't find matching finger prints.
450employee is already checked in.
449Schedule for employee is not set.
438User does not have the required permission to perform this action.
449Invalid Employee / Invalid Work Task Id
4100Cannot check-in before completion of break period
Path Params
string
required

Mandatory Unique 32-character identifier of the employee. Not required when using biometric check-in (use Guid.Empty instead).

Body Params
string

Mandatory, Unique 32-character identifier of the center where the employee is checking in.

string

Optional, Fingerprint data if biometric is used. Use Guid.Empty instead of employee_id in this case.

string

Optional. Work task against which check-in is done.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/plain